LogOnControllerQueryLogOnHistory Method |
POST /LogOn/QueryHistory
Gets the log on history.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("QueryHistory")]
public HttpResponseMessage QueryLogOnHistory(
[FromBodyAttribute] QueryLogOnHistoryOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("QueryHistory")>
Public Function QueryLogOnHistory (
<FromBodyAttribute> options As QueryLogOnHistoryOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"QueryHistory")]
HttpResponseMessage^ QueryLogOnHistory(
[FromBodyAttribute] QueryLogOnHistoryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("QueryHistory")>]
member QueryLogOnHistory :
[<FromBodyAttribute>] options : QueryLogOnHistoryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryLogOnHistoryOptions
An object that carries all needed information about the log on history that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageAn array of
LogOnHistoryRecordData objects, or a status code indicating an error, or an empty array if no results are found.
See Also